html, body {
    margin: 0;
    padding: 0;
}

button,
button:focus {
    outline: 0 !important;
}

img {
    max-width: 100%;
}

.navbar-brand img {
    height: 40px;
    margin: -10px 0px;
}

.landing-screen {
    height: 100vh;
}

.landing-screen__logo {
    max-width: 100%;
    padding: 20px;
}

.landing-screen__logo img {
    max-width: 100%;
    max-height: 100%;
}

.landing-screen__cta {
    padding: 20px;
}

.landing-screen__cta-button {
    padding: 10px;
}

.section {
    padding: 40px 0;
}

.section__title {
    text-align: center;
}

.ratio-photo-container {
    position: relative;
}

.ratio-photo {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

#venue-photo-container,
#venue2-photo-container {
    padding-top: 56.25%;
}

#venue-photo {
    background-image: url("../img/zdjecia-bhp-sala.jpg");
}

#venue2-photo {
    background-image: url("../img/marina.jpg");
}

#info, #limits, #registration {
    background-color: #ececec;
}

.cubing-icon {
    font-size: 20px;
}

.pss-logo {
    padding: 20px 20px 0;
}

.organizer-info-row {
    padding: 10px 0;
}

.delegate-tile-container {
    padding-top: 20px;
    padding-bottom: 20px;
}

@media all and (max-width: 400px) {
    .delegate-tile-container {
        max-width: 100%;
        flex: 0 0 100%;
    }
}

.delegate-tile {
    background-color: #ffffff;
    border: 1px solid #dc3545;
    padding: 15px;
    border-radius: 15px;
}

.delegate-tile h4 {
    height: 60px;
}

.delegate-photo {
    padding-top: 100%;
}

.delegate-photo .ratio-photo {
    border-radius: 50%;
}

.delegate-name {
    color: #000000;
}

.delegate-details {
    font-size: 30px;
    text-align: center;
}

.delegate-details a {
    filter: grayscale(100%);
    transition: 0.3s linear;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0 10px;
    text-decoration: none;
}

.delegate-details a:hover {
    filter: grayscale(0%);
}

.delegate-details img {
    width: 24px;
}

#sponsors .carousel-item img {
    max-height: 100%;
}

.limit-title {
    font-size: 16px;
    text-align: center;
}

.limit-title .cubing-icon::before,
.schedule-event-card-header .cubing-icon::before {
    transform: translateY(4px);
}

.schedule-event-card-header {
    font-size: 16px;
    text-align: center;
}

.schedule-event-card-header-round {
    text-align: center;
    font-size: 12px;
    color: #969696;
}

.schedule-event-title {
    padding: 0 5px;
}

.schedule-event-info-header {
    font-size: 16px;
}

.card-header {
    cursor: pointer;
}

.schedule-day-accordion {
    display: none;
}

.registration-form-group {
    padding: 0 20px;
}

.registration-form-group label{
    text-align: center;
}
.registration-form-group input[type="text"] {
    padding: 5px;
    border-radius: 5px;
    border: none;
}

.event-checkbox label {
    opacity: 0.2;
}
.event-checkbox input {
    display: none;
}

.event-checkbox input:checked ~ label {
    opacity: 1;
}
.event-checkbox .cubing-icon {
    font-size: 24px;
}

@media all and (min-width: 768px) {
    .event-checkbox .cubing-icon {
        font-size: 30px;
    }
}

#personalDataSection {
    display: none;
}
.loader {
    width: 40px;
    height: 40px;
    border: 3px solid lightgrey;
    border-top: 3px solid #dc3545;
    animation: 1s loader-rotate infinite;
    border-radius: 50%;
    vertical-align: middle;
    display: inline-block;
}

@keyframes loader-rotate {
    25% {
        transform: rotate(180deg);
    }
    100% {
        transform: rotate(360deg);
    }

}

#wca-id-check-loader,
#registration-check-loader {
    display: none;
}

#after-registration-section {
    display: none;
}

.error-display {
    border: 2px solid #ba1323;
    background-color: #dc3545;
    color: #ffffff;
    padding: 10px;
    border-radius: 5px;
    display: none;
}
.competitor-list-header-row,
.competitor-row {
    padding: 10px;
    right: 15px;
}
.competitor-row .competitors-events {
    display: none;
}
.competitor-row:nth-of-type(2n) {
    background-color: #ececec;
}
@media all and (min-width: 768px) {
    .competitor-row .competitors-events {
        display: block;
    }
}